/// <reference types="cypress" />
import type pixelmatch from "pixelmatch";
declare global {
    namespace Cypress {
        type MatchImageOptions = {
            screenshotConfig?: Partial<Cypress.ScreenshotDefaultsOptions>;
            diffConfig?: Parameters<typeof pixelmatch>[5];
            updateImages?: boolean;
            imagesDir?: string;
            maxDiffThreshold?: number;
            title?: string;
        };
        interface Chainable<Subject> {
            /**
             * Command to create and compare image snapshots.
             * @memberof Cypress.Chainable
             * @example cy.get('.my-element').matchImage();
             */
            matchImage(options?: Cypress.MatchImageOptions): Chainable<Subject>;
        }
    }
}
